summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2017-06-04 14:27:38 +0200
committerThomas Deutschmann <whissi@gentoo.org>2017-06-04 14:28:07 +0200
commit684258c25ffea84662af8c51fa1c61e90de04b5d (patch)
treefd322cdf603c9479a96f6b17b8002739880bfee5
parentapp-admin/calamares: Remove 3.0.1 (diff)
downloadgentoo-684258c25ffea84662af8c51fa1c61e90de04b5d.tar.gz
gentoo-684258c25ffea84662af8c51fa1c61e90de04b5d.tar.bz2
gentoo-684258c25ffea84662af8c51fa1c61e90de04b5d.zip
media-libs/ming: Security bump to v0.4.8 (bug #614010)
Package-Manager: Portage-2.3.5, Repoman-2.3.2
-rw-r--r--media-libs/ming/Manifest1
-rw-r--r--media-libs/ming/ming-0.4.8.ebuild94
2 files changed, 95 insertions, 0 deletions
diff --git a/media-libs/ming/Manifest b/media-libs/ming/Manifest
index 88c6ea1dba6..9cb5e031a11 100644
--- a/media-libs/ming/Manifest
+++ b/media-libs/ming/Manifest
@@ -1 +1,2 @@
DIST ming-0_4_7.tar.gz 14903570 SHA256 118aa1338dd74b34dd2cd22bce286ca0571e8b9aa433999646d1c0157ea9a7dc SHA512 232cf45daabd7b60203c9382aa6568455a42ddcd1bd60eec9bfe3f5e80376fcc9ff6304efbafca1ac8a504e2e167bc394e4902e0d067303d9582551461e09d3c WHIRLPOOL 075794f170e7f529ba79a66af4504745da786d7cd73e9673ffd4c48e943fbc8bf1f952f1cc0b0b7b0ca1e26a3bdb255feeaaeb675032616d2060c40f19d4dbdd
+DIST ming-0_4_8.tar.gz 14908459 SHA256 2a44cc8b7f6506adaa990027397b6e0f60ba0e3c1fe8c9514be5eb8e22b2375c SHA512 e395acde9119ad32f4cedd500bcceee70bdd563222a41dda899cc318d5e34eb580abc38ac39c6dec7821913a0a70d2f953fc81f52255b623e34f7c3aaafbc9c0 WHIRLPOOL 4c82d80310f559aaddcebc25208b5947bdea5f4d0d40ece59b39fad2cc087c13140915cf6bd44a5af894737ef61807b4a3f1affb323732dc2cd8b948a7f03dcb
diff --git a/media-libs/ming/ming-0.4.8.ebuild b/media-libs/ming/ming-0.4.8.ebuild
new file mode 100644
index 00000000000..74cb21175c6
--- /dev/null
+++ b/media-libs/ming/ming-0.4.8.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+PHP_EXT_NAME=ming
+PHP_EXT_OPTIONAL_USE=php
+AUTOTOOLS_AUTORECONF=yes
+GENTOO_DEPEND_ON_PERL=no
+inherit autotools distutils-r1 flag-o-matic multilib perl-module vcs-snapshot
+
+DESCRIPTION="An Open Source library for Flash movie generation"
+HOMEPAGE="http://ming.sourceforge.net/"
+SRC_URI="https://github.com/libming/libming/archive/${P//./_}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="+perl php +python static-libs"
+
+RDEPEND="perl? ( dev-lang/perl:= )
+ python? ( ${PYTHON_DEPS} )
+ media-libs/freetype:=
+ media-libs/libpng:0=
+ media-libs/giflib:=
+ sys-libs/zlib:=
+ !media-libs/libswf"
+DEPEND="${RDEPEND}
+ sys-devel/flex
+ virtual/yacc"
+PDEPEND="php? ( dev-php/ming-php )"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+S=${WORKDIR}/${P//./_}
+
+# Tests only work when the package is tested on a system
+# which does not presently have any version of ming installed.
+RESTRICT="test"
+
+src_prepare() {
+ default
+
+ # Let's get rid of the TEXTRELS, link dynamic. Use gif.
+ sed -i \
+ -e 's/libming.a/libming.so/' \
+ -e 's/lungif/lgif/' \
+ perl_ext/Makefile.PL
+
+ sed -i -e 's:AM_CONFIG_HEADER:AC_CONFIG_HEADERS:' configure.in || die
+
+ eautoreconf
+}
+
+src_configure() {
+ # build is sensitive to -O3 (bug #297437)
+ replace-flags -O3 -O2
+
+ # build python via distutils calls, disable here
+ # php is done in dev-php/ming-php
+ local myconf=(
+ --disable-python
+ --disable-php
+ $(use_enable static-libs static)
+ $(use_enable perl)
+ )
+ econf "${myconf[@]}"
+}
+
+run_distutils() {
+ if use python; then
+ pushd py_ext > /dev/null || die
+ distutils-r1_"${@}"
+ popd > /dev/null || die
+ fi
+}
+
+src_compile() {
+ # some parallel make issues on flex/bison
+ emake -C src/actioncompiler -j1
+ emake
+
+ run_distutils ${FUNCNAME}
+}
+
+src_install() {
+ run_distutils ${FUNCNAME}
+
+ emake DESTDIR="${D}" INSTALLDIRS="vendor" install
+ einstalldocs
+
+ perl_delete_localpod
+ find "${ED}"usr/lib* -name '*.la' -delete
+}